OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	. = 0x80002000;
	.text : { *(.text*) }

	. = ALIGN(4);
	.rodata : { *(.rodata*) }

	. = ALIGN(4);
	.sdata : { *(.sdata*) }

	. = ALIGN(4);
	.data : { *(.data*) *(.scommon*) *(.reginfo*) }

	_gp = ABSOLUTE(.); /* Base of small data */

	.got : { *(.got*) }

	. = ALIGN(4);
	.sbss : { *(.sbss*) }
	.bss : { *(.bss*) }
	. = ALIGN (4);
}
